Package com.collibra.dgc.core.api.dto.instance.asset

# Class ChangeAssetRequest.Builder

Object
Builder

Enclosing class:
  `ChangeAssetRequest`

public static class ChangeAssetRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeAssetRequest`
  `build()`
  `ChangeAssetRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeAssetRequest.Builder`
  `displayName(String displayName)`
  The new display name for the asset.
  `ChangeAssetRequest.Builder`
  `domainId(UUID domainId)`
  The ID of the new domain for the asset.
  `ChangeAssetRequest.Builder`
  `excludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)`
  Whether the asset should be excluded from hyperlinking or not.
  `ChangeAssetRequest.Builder`
  `id(UUID id)`
  Required. The ID of the asset to be changed.
  `ChangeAssetRequest.Builder`
  `name(String name)`
  The new full name for the asset.
  `ChangeAssetRequest.Builder`
  `statusId(UUID statusId)`
  The ID of the new status for the asset.
  `String`
  `toString()`
  `ChangeAssetRequest.Builder`
  `typeId(UUID typeId)`
  The ID of the new asset type for the asset.
  `ChangeAssetRequest.Builder`
  `typePublicId(String typePublicId)`
  The public ID of the new asset type for the asset.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeAssetRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeAssetRequest.builder()`
    Clone method for this Builder.

  - ### id

    public ChangeAssetRequest.Builder id(UUID id)
    Required. The ID of the asset to be changed. Silently ignored if the ID is provided as path parameter of the request.
    Returns:
      `this`.

  - ### name

    public ChangeAssetRequest.Builder name(String name)
    The new full name for the asset.
    Returns:
      `this`.

  - ### displayName

    public ChangeAssetRequest.Builder displayName(String displayName)
    The new display name for the asset.
    Returns:
      `this`.

  - ### typeId

    public ChangeAssetRequest.Builder typeId(UUID typeId)
    The ID of the new asset type for the asset.
    Returns:
      `this`.

  - ### statusId

    public ChangeAssetRequest.Builder statusId(UUID statusId)
    The ID of the new status for the asset.
    Returns:
      `this`.

  - ### domainId

    public ChangeAssetRequest.Builder domainId(UUID domainId)
    The ID of the new domain for the asset.
    Returns:
      `this`.

  - ### excludedFromAutoHyperlinking

    public ChangeAssetRequest.Builder excludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)
    Whether the asset should be excluded from hyperlinking or not.
    Returns:
      `this`.

  - ### typePublicId

    public ChangeAssetRequest.Builder typePublicId(String typePublicId)
    The public ID of the new asset type for the asset.
    Returns:
      `this`.

  - ### build

    public ChangeAssetRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`